Docs
Status page

Set Page Password

POST
/api/status-page/password

Set or change the visitor password. Needs the plan feature; every browser that unlocked the page is locked out again.

Authorization

bearerAuth
headerAuthorizationBearer <token>

An API key from the app, starting with upk_

Query Parameters

page?|null

Request Body

application/json
  1. body
password*Password
Length8 <= length <= 128

Response Body

Successful Response

response?unknownapplication/json
Example Request
curl -X POST 'https://upty.io/api/status-page/password' \  -H 'Content-Type: application/json' \  -d '{  "password": "stringst"}'
Example Response
null